package com.yd.api.agms.vo.practitioner;

import com.github.pagehelper.PageInfo;

/**
 * @author xxy
 */
public class PractitionerFileSharingListRequestVO {

    private Long id;
    
    private String itemType;

    private String shareCode;

    private String mdDropOptionId;

    private Integer isActive;

    private Long practitionerId;

    private PageInfo<PractitionerFileSharing> practitionerFileShares;
    
    /**
	 * @return the itemType
	 */
	public String getItemType() {
		return itemType;
	}

	/**
	 * @param itemType the itemType to set
	 */
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}

	/**
     * 获取
     *
     * @return the mdDropOptionId
     */
    public String getMdDropOptionId() {
        return this.mdDropOptionId;
    }

    /**
     * 设置
     *
     * @param mdDropOptionId the  to set
     */
    public void setMdDropOptionId(String mdDropOptionId) {
        this.mdDropOptionId = mdDropOptionId;
    }

    /**
     * 获取
     *
     * @return the isActive
     */
    public Integer getIsActive() {
        return this.isActive;
    }

    /**
     * 设置
     *
     * @param isActive the  to set
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * 获取
     *
     * @return the practitionerFileShares
     */
    public PageInfo<PractitionerFileSharing> getPractitionerFileShares() {
        return this.practitionerFileShares;
    }

    /**
     * 设置
     *
     * @param practitionerFileShares the  to set
     */
    public void setPractitionerFileShares(PageInfo<PractitionerFileSharing> practitionerFileShares) {
        this.practitionerFileShares = practitionerFileShares;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    @Override
    public String toString() {
        return "PractitionerFileSharingListRequestVO{" +
                "id=" + id +
                ", shareCode='" + shareCode + '\'' +
                ", mdDropOptionId='" + mdDropOptionId + '\'' +
                ", isActive=" + isActive +
                ", practitionerId=" + practitionerId +
                ", practitionerFileShares=" + practitionerFileShares +
                '}';
    }
}
